import { EChartsExtensionInstallRegisters } from './internal/extension.js';
export { BarSeriesOption, BoxplotSeriesOption, CandlestickSeriesOption, CustomSeriesOption, EffectScatterSeriesOption, FunnelSeriesOption, GaugeSeriesOption, GraphSeriesOption, HeatmapSeriesOption, LineSeriesOption, LinesSeriesOption, MapSeriesOption, ParallelSeriesOption, PictorialBarSeriesOption, PieSeriesOption, RadarSeriesOption, SankeySeriesOption, ScatterSeriesOption, SunburstSeriesOption, ThemeRiverSeriesOption, TreeSeriesOption, TreemapSeriesOption } from './internal/option.js';

declare function install$l(registers: EChartsExtensionInstallRegisters): void;

declare function install$k(registers: EChartsExtensionInstallRegisters): void;

declare function install$j(registers: EChartsExtensionInstallRegisters): void;

declare function install$i(registers: EChartsExtensionInstallRegisters): void;

declare function install$h(registers: EChartsExtensionInstallRegisters): void;

declare function install$g(registers: EChartsExtensionInstallRegisters): void;

declare function install$f(registers: EChartsExtensionInstallRegisters): void;

declare function install$e(registers: EChartsExtensionInstallRegisters): void;

declare function install$d(registers: EChartsExtensionInstallRegisters): void;

declare function install$c(registers: EChartsExtensionInstallRegisters): void;

declare function install$b(registers: EChartsExtensionInstallRegisters): void;

declare function install$a(registers: EChartsExtensionInstallRegisters): void;

declare function install$9(registers: EChartsExtensionInstallRegisters): void;

declare function install$8(registers: EChartsExtensionInstallRegisters): void;

declare function install$7(registers: EChartsExtensionInstallRegisters): void;

declare function install$6(registers: EChartsExtensionInstallRegisters): void;

declare function install$5(registers: EChartsExtensionInstallRegisters): void;

declare function install$4(registers: EChartsExtensionInstallRegisters): void;

declare function install$3(registers: EChartsExtensionInstallRegisters): void;

declare function install$2(registers: EChartsExtensionInstallRegisters): void;

declare function install$1(registers: EChartsExtensionInstallRegisters): void;

declare function install(registers: EChartsExtensionInstallRegisters): void;

export { install$k as BarChart, install$8 as BoxplotChart, install$7 as CandlestickChart, install as CustomChart, install$6 as EffectScatterChart, install$b as FunnelChart, install$c as GaugeChart, install$d as GraphChart, install$4 as HeatmapChart, install$l as LineChart, install$5 as LinesChart, install$g as MapChart, install$a as ParallelChart, install$3 as PictorialBarChart, install$j as PieChart, install$h as RadarChart, install$9 as SankeyChart, install$i as ScatterChart, install$1 as SunburstChart, install$2 as ThemeRiverChart, install$f as TreeChart, install$e as TreemapChart };
